﻿using C1.WPF.Document;
using C1.WPF.Pdf;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FlexViewerSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            C1PdfDocument pdf = new C1.WPF.Pdf.C1PdfDocument();
            Rect rect = pdf.PageRectangle;
            rect.Inflate(-72, -72);
            Font font = new Font("Arial", 12);
            pdf.DrawString("Hello World!", font, Color.FromRgb(0, 0, 0), rect);
            System.IO.MemoryStream ms = new System.IO.MemoryStream();
            pdf.Save(ms);
            ms.Position = 0;

            var pdfDocumentSource = new C1PdfDocumentSource();
            pdfDocumentSource.LoadFromStream(ms);

            _flexViewer.DocumentSource = pdfDocumentSource;
        }
    }
}
